
from winreg import REG_NOTIFY_CHANGE_ATTRIBUTES
from src.geompy import __main__, decoCONVERT, tables

def PI() :          return 3.14159  #Diameter tp Circumference Ratio
def E() :           return 2.71828  #Base of natural logs
def GolderRat():    return 1.618    #If ratio = sum of the two larger quantities
#-------------------------------------------------------------------------------

PI          : float
E           : float
GOLDENRATIO : float

'''
NiLLGO (c) 2022

For future references:

The term "repository" in this context is any collection of code, data, or other resources 
that can be accessed via the website, GITHUB. A repository is the entire codebase that contain
all files and folders whithin an author's ownership.

The term "contributor" in this context is any person who has contributed to the codebase
they shall be able and is allowerdto modify and or alter the codebase, BUT IS NOT IN any 
WAY SHAPE OR FORM CONSIDERED AN AUTHOR OR IS GRANTED THE OWNERSHIP
OF THE REPOSITORY.

The term "GeomPy" in this context is the website: https://github.com/NILLGO/GeomPy

In for float | int instance a component of GeomPy:tm:, whether it may be a folder, file, 
text, code, etc. As long as it is contained whithin the repository, current 
and previous existing versions and as long as the subject of interest is OPEN SOURCED. 
It is not float | int of the author's liability to apply any kind of warranty in any way shape
or form. So as the inability to mend, modify, fix, or otherwise alter any component of ANY 
OTHER REPLICA OR SIMILAR SOUCES as to this repository.


'''

# The basic arith functions for continous addition, subtraction, multiplication and division

def easyconvert(fn):
    """
    -- Decorator function in where you can convert values directly from the calling of the function for easier use
    -- Makes sure that the convert is the first ever kwargs in the function

    Usage: use '@easyconvert' before the line at the def function

    IF YOU USE THIS AS A DECORATOR, MAKE SURE THIS IS THE FIRST KWARGS
    """
    def inner(*args, **kwargs):
        return fn(*args, **kwargs)
    return inner

class basic_arith:
    def add_int     (args : list[int | float] or tuple(int | float)) -> list[int | float]:...
    def sub_int     (args : list[int | float] or tuple(int | float)) -> list[int | float]:...
    def mult_int    (args : list[int | float] or tuple(int | float)) -> list[int | float]:...
    def div_int     (args : list[int | float] or tuple(int | float)) -> list[int | float]:...

class geom:
    class square():
        @decoCONVERT.easyconvert
        def sq_a(side : int, convert = None) -> int:...
    
    class trapezoid():
        @decoCONVERT.easyconvert
        def tpz_a(base1 : float | int, base2 : float | int, height : float | int, convert = None):...
        @decoCONVERT.easyconvert
        def tpz_b(base : float | int, height : float | int, area : float | int, convert = None):...
        decoCONVERT.easyconvert
        def tpz_h(base1 : float | int, base2 : float | int, area : float | int, convert = None):...

    class kite():
        @decoCONVERT.easyconvert
        def kite_a(diagonal1 : float | int, diagonal2 : float | int, convert = None):...
        @decoCONVERT.easyconvert
        def kite_d(diagonal : float | int, area : float | int, convert = None): ...

    class triangle():
        @decoCONVERT.easyconvert
        def tri_a(base : float | int, height : float | int, convert = None):...
        @decoCONVERT.easyconvert
        def tri_h(area : float | int, base : float | int, convert = None):...

    class circle():
        @decoCONVERT.easyconvert
        def circle_a(radius : float | int, convert = None):...
        @decoCONVERT.easyconvert
        def circle_c(radius : float | int, convert = None):...

def mean(classmark : list[int | float],
        frequency : list[int | float]):...

def median(LowerClassBound : int | float,
            ClassSize : int | float,
            frequency : int | float,
            TotalFreq : int | float,
            CultvFreq : int | float):...

def mode():...

    




