

def easyconvert(fn):
    def inner(*args, **kwargs):

        if len(kwargs) == 0 or None:
            return # returns nothing if no input was given

        # cm to eng
        if kwargs == {'convert': 'cmin'}: args = tuple([x / 2.54 for x in args])
        elif kwargs == {'convert': 'cmft'}: args = tuple([x / 30.48 for x in args])
        elif kwargs == {'convert': 'cmmi'}: args = tuple([x / 160934 for x in args])

        # m to eng
        elif kwargs == {'convert': 'min'}: args = tuple([x * 39.37 for x in args])
        elif kwargs == {'convert': 'mft'}: args = tuple([x * 3.281 for x in args])
        elif kwargs == {'convert': 'mmi'}: args = tuple([x / 1609 for x in args])

        # km to eng
        elif kwargs == {'convert' : 'kmin'}: args = tuple([x * 39370 for x in args])
        elif kwargs == {'convert' : 'kmft'}: args = tuple([x * 3281 for x in args])
        elif kwargs == {'convert' : 'kmmi'}: args = tuple([x / 1.609 for x in args])

        #==========================================================================
        # in to metric
        elif kwargs == {'convert' : 'incm'}: args = tuple([x * 2.54 for x in args])
        elif kwargs == {'convert' : 'inm'}: args = tuple([x / 39.37 for x in args])
        elif kwargs == {'convert' : 'inkm'}: args = tuple([x / 39370 for x in args])

        # ft to metric
        elif kwargs == {'convert' : 'ftcm'}: args = tuple([x * 30.48 for x in args])
        elif kwargs == {'convert' : 'ftm'}: args = tuple([x / 3.281 for x in args])
        elif kwargs == {'convert' : 'ftkm'}: args = tuple([x / 3281 for x in args])

        # mi to metric
        elif kwargs == {'convert' : 'micm'}: args = tuple([x * 160934 for x in args])
        elif kwargs == {'convert' : 'mim'}: args = tuple([x / 1609 for x in args])
        elif kwargs == {'convert' : 'mikm'}: args = tuple([x / 1.609 for x in args])




        return fn(*args, **kwargs)
    return inner


